''' <summary>
''' Auflistung mit benutzerdefiniertem Verhalten beim Lschen und Austauschen 
'''  von Elementen
''' </summary>
Public Class ActionList _
    : Inherits System.Collections.ObjectModel.Collection(Of DataClass)

    Public Sub New(ByVal data As IList(Of DataClass))
        MyBase.New(data)
    End Sub

    Protected Overrides Sub RemoveItem(ByVal index As Integer)
        MsgBox(String.Concat("Remove """, Me(index).Name, """"))
        MyBase.RemoveItem(index)
    End Sub

    Protected Overrides Sub SetItem(ByVal index As Integer, _
            ByVal item As DataClass)

        MsgBox(String.Concat("set """, Me(index).Name, _
            """ to """, item.Name, """"))
        MyBase.SetItem(index, item)
    End Sub

    Protected Overrides Sub InsertItem(ByVal index As Integer, _
            ByVal item As DataClass)

        MsgBox(String.Concat("insert """, item.Name, """ at ", index))
        MyBase.InsertItem(index, item)
    End Sub

End Class
